package com.pcloud.common.utils.token;

/**
 * @描述：
 * @作者：DiSeng.H
 * @创建时间：2016年3月11日,上午10:53:00
 * @版本：1.0
 */
public interface TokenBaseInter {
public final  String key="rays";
	
	/**
	 * 解密
	 * 
	 * @param str
	 * @return
	 */
	@SuppressWarnings("restriction")
	public  String decrypt(String str);
	
	/**
	 * 加密
	 * 
	 * @param str
	 * @return
	 */
	@SuppressWarnings("restriction")
	public  String encrypt(String str);
	
	/**
	 * 放入各种定制的参数，生产Token
	 * @param pramaters
	 * @return
	 */
	public  String productToken(String[]  pramaters);
	
	/**
	 * 放入各种定制的参数，生产Token
	 * @param userNo
	 * @return
	 */
	public  String productToken(String pix,String userNo);
}
